Subject: Re: [bug#43292] [PATCH] gnu: emacs-org-contrib: Fix hash for version 20200907.

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 09 Sep 2020 15:23:31 +0200

Hello,

zimoun <[email-masked]> writes:

> On Wed, 9 Sep 2020 at 13:49, Tobias Geerinckx-Rice <[email-masked]> wrote:
>
>> On 2020-09-09 13:35, zimoun wrote:
>> > * gnu/packages/emacs-xyz.scm (emacs-org-contrib): Fix hash.
>>
>> Thanks!  It's probably irrational, but in-place updates always tingle my
>> paranoia.  What did they change?  Why?
>
> I do not understand either.
> Maybe Nicolas could tell us more about this in-place update?

Package is updated automatically either every Monday, provided there is
at least a pending commits since last update, or whenever a new Org is
released.

When new Org is released on a Monday, two updates happen the same day,
and therefore share the same version. It is unfortunate, but quite rare
in practice, and when the day is over, the source file cannot change
anymore.

Regards,
-- 
Nicolas Goaziou